stages:
    - build
    - test

build:
    stage: build
    script:
        - echo "Building"
        - mkdir build
        - touch  src/
    artifacts:
        paths:
            - src/ServicioCliente
            - src/ServicioPiloto
            - src/ServicioUbicacion
            - src/ESB

test:
    stage: test
    script:
        - echo "Testing"
        - test -f "src/ServicioCliente/test/Test/clienteTest.java"
        - test -f "src/ServicioPiloto/test/Test/pilotoTest.java" 
        - test -f "src/ServicioUbicacion/test/Test/ubicacionTest.java" 
    artifacts:
    reports:
      junit: src/ServicioCliente/test/TEST-*.xml

